2024-05-18 08:58 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006077WHDLoad[All Projects] Generalpublic2023-10-14 23:27
ReporterStingRay 
Assigned ToWeplProject InfoHD-Installer for OS-Killer
http://whdload.de/
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version18.7 
Target Version18.9Fixed in Version18.9beta 
Summary0006077: resload_Listfiles doesn't work with PRELOAD
DescriptionStarting with WHDLoad 18.7 resload_Listfiles doesn't work correctly if PRELOAD is used. This renders the patch for Gauntlet 3 (see 0006066) unusuable as the game can't be started. The same problem still happens in WHDLoad 18.8. If the option PRELOAD is not used, resload_Listfiles works and the game can be started.
Steps To ReproduceRun the Gauntlet 3 patch with option PRELOAD, an error message will be shown ("File not found, check installation!").
Additional InformationProblem doesn't appear in WHDLoad version < 18.7. It may also only happen if all files can be preloaded (but this is just a guess, I have not tested this).
TagsNo tags attached.
MachineA4000
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardPicasso IV
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.7
Attached Files

-Relationships
parent of 0006066resolvedWepl Gauntlet3 Slave does not run on OS 3.2 and highter 
+Relationships

-Notes

note ~0012491

Wepl (manager)

Hmm, empty dirname is not yet supported when listing from cached files.
I'll fix that.

note ~0012496

Wepl (manager)

The problem has been fixed in the latest beta 18.9 (6569).
https://whdload.de/whdload/whd189.lha
+Notes

-Issue History
Date Modified Username Field Change
2023-03-11 12:49 StingRay New Issue
2023-03-11 12:49 StingRay Assigned To => Wepl
2023-03-11 12:49 StingRay Status new => assigned
2023-03-11 12:52 StingRay Relationship added parent of 0006066
2023-03-11 12:59 StingRay Additional Information Updated View Revisions
2023-03-11 16:24 Wepl Note Added: 0012491
2023-03-12 15:59 Wepl Note Added: 0012496
2023-03-12 16:02 Wepl Fixed in Version => 18.9beta
2023-03-12 16:02 Wepl Target Version => 18.9
2023-03-12 16:05 Wepl Status assigned => resolved
2023-03-12 16:05 Wepl Resolution open => fixed
2023-10-14 23:27 Wepl Status resolved => closed
+Issue History